Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableInterceptor
Class ForwardRequest

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.omg.CORBA.UserException
                  org.omg.PortableInterceptor.ForwardRequest

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class ForwardRequest

extends UserException

org/omg/PortableInterceptor/ForwardRequest.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/PortableInterceptor/Interceptors.idl Wednesday, August 11, 2004 5:04:09 AM GMT-08:00

Field Summary
`Object` | `forward` The new object to forward the request to.

Constructor Summary
`ForwardRequest()`
`ForwardRequest(Object _forward)`
`ForwardRequest(String $reason, Object _forward)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### forward

    public Object forward

  The new object to forward the request to.

Constructor Detail

### ForwardRequest

    public ForwardRequest()

### ForwardRequest

    public ForwardRequest(Object _forward)

### ForwardRequest

    public ForwardRequest(String $reason,
                          Object _forward)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.